#include <iostream>

using namespace std;

int main()
{
    int n,l,b=0;
    cin>>n>>l;
    int a[n];
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    for(int i=1;i<=n;i++)
    {
        if(a[i]<=l)
        {
            b=i;
            break;
        }
    }
    if(b==0) cout<<-1;
    else cout<<b;
    return 0;
}